Custom problems
Read custom problem for editing
Owning organization only. Includes hidden tests and requirements; never expose this response to candidates.
GET
/
v1
/
issues
/
custom
/
{id}
Read custom problem for editing
curl --request GET \
--url https://api.promptster.ai/v1/issues/custom/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.promptster.ai/v1/issues/custom/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.promptster.ai/v1/issues/custom/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptster.ai/v1/issues/custom/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptster.ai/v1/issues/custom/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptster.ai/v1/issues/custom/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptster.ai/v1/issues/custom/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"issue": {
"id": "<string>",
"issueTitle": "<string>",
"repoUrl": "<string>",
"brokenSha": "<string>",
"taskBrief": "<string>",
"language": "<string>",
"difficulty": "<string>",
"isCustom": true,
"isPrivate": true,
"isTicketFlow": true,
"status": "<string>",
"prepStatus": "pending",
"prepError": "<string>",
"testSuiteVerified": true,
"issueUrl": "<string>"
},
"input": {
"repoUrl": "<string>",
"language": "typescript",
"difficulty": "warmup",
"testSuiteConfig": {
"testFiles": [
{
"fileName": "<string>",
"destination": "<string>",
"content": "<string>"
}
],
"testCommand": "<string>",
"setupCommand": "<string>",
"testFramework": "<string>",
"timeoutSeconds": 300,
"edgeCaseFiles": [
{
"fileName": "<string>",
"destination": "<string>",
"content": "<string>"
}
],
"edgeCaseCommand": "<string>",
"hygieneRules": [
"<string>"
]
},
"ticketFlow": {
"ticket": {
"key": "<string>",
"title": "<string>",
"body": "<string>",
"acceptance": [
"<string>"
],
"labels": [],
"fields": []
},
"personas": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"owns": "<string>",
"brief": "<string>"
}
],
"requirements": [
{
"id": "<string>",
"owner": "<string>",
"expect": "required",
"ticketImplied": true,
"text": "<string>",
"tests": [
"<string>"
]
}
],
"unavailability": [
{
"personaId": "<string>",
"fromSec": 1,
"toSec": 2
}
]
},
"title": "<string>",
"taskBrief": "<string>",
"brief": {
"scenario": "<string>",
"codebase": {
"name": "<string>",
"description": "<string>",
"stack": [
"<string>"
],
"runCommand": "<string>",
"testCommand": "<string>"
},
"phases": [
{
"name": "<string>",
"goal": "<string>",
"tasks": [
"<string>"
],
"guidance": [
"<string>"
]
}
],
"evaluation": [
"<string>"
],
"groundRules": [
"<string>"
],
"deliverables": [
"<string>"
]
},
"commitSha": "<string>",
"isPrivate": false,
"skillTags": [],
"problemType": "bug_fix",
"estimatedMinutes": 300
},
"inUse": true
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
],
"personaId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
],
"personaId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
],
"personaId": "<string>"
}Authorizations
Organization API key from Settings → API. Send Authorization: Bearer psk_live_… .
Path Parameters
Response
Success
Show child attributes
Show child attributes
POST creates; PUT fully replaces. language is trimmed and lowercased before validation. A successful save starts preparation; inspect issue.prepStatus, including on the initial response.
- Option 1
- Option 2
Show child attributes
Show child attributes
Read custom problem for editing
curl --request GET \
--url https://api.promptster.ai/v1/issues/custom/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.promptster.ai/v1/issues/custom/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.promptster.ai/v1/issues/custom/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptster.ai/v1/issues/custom/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptster.ai/v1/issues/custom/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptster.ai/v1/issues/custom/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptster.ai/v1/issues/custom/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"issue": {
"id": "<string>",
"issueTitle": "<string>",
"repoUrl": "<string>",
"brokenSha": "<string>",
"taskBrief": "<string>",
"language": "<string>",
"difficulty": "<string>",
"isCustom": true,
"isPrivate": true,
"isTicketFlow": true,
"status": "<string>",
"prepStatus": "pending",
"prepError": "<string>",
"testSuiteVerified": true,
"issueUrl": "<string>"
},
"input": {
"repoUrl": "<string>",
"language": "typescript",
"difficulty": "warmup",
"testSuiteConfig": {
"testFiles": [
{
"fileName": "<string>",
"destination": "<string>",
"content": "<string>"
}
],
"testCommand": "<string>",
"setupCommand": "<string>",
"testFramework": "<string>",
"timeoutSeconds": 300,
"edgeCaseFiles": [
{
"fileName": "<string>",
"destination": "<string>",
"content": "<string>"
}
],
"edgeCaseCommand": "<string>",
"hygieneRules": [
"<string>"
]
},
"ticketFlow": {
"ticket": {
"key": "<string>",
"title": "<string>",
"body": "<string>",
"acceptance": [
"<string>"
],
"labels": [],
"fields": []
},
"personas": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"owns": "<string>",
"brief": "<string>"
}
],
"requirements": [
{
"id": "<string>",
"owner": "<string>",
"expect": "required",
"ticketImplied": true,
"text": "<string>",
"tests": [
"<string>"
]
}
],
"unavailability": [
{
"personaId": "<string>",
"fromSec": 1,
"toSec": 2
}
]
},
"title": "<string>",
"taskBrief": "<string>",
"brief": {
"scenario": "<string>",
"codebase": {
"name": "<string>",
"description": "<string>",
"stack": [
"<string>"
],
"runCommand": "<string>",
"testCommand": "<string>"
},
"phases": [
{
"name": "<string>",
"goal": "<string>",
"tasks": [
"<string>"
],
"guidance": [
"<string>"
]
}
],
"evaluation": [
"<string>"
],
"groundRules": [
"<string>"
],
"deliverables": [
"<string>"
]
},
"commitSha": "<string>",
"isPrivate": false,
"skillTags": [],
"problemType": "bug_fix",
"estimatedMinutes": 300
},
"inUse": true
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
],
"personaId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
],
"personaId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
],
"personaId": "<string>"
}